Post
/api/v1/rooms.hide
Hide rooms without restrictions based on type. You can only hide a room if you have access to it.
Changelog
| Version | Description |
|---|---|
| 9.0.0 | Returns 403 instead of 401 when the caller is not authorized. |
| 7.4.0 | Added |
Header parameters
X-Auth-Token
stringRequired
The authToken of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-Id
stringRequired
The userId of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Body parameters
Request body with roomId
{
"roomId": "6759dea438288929cff551c"
}object
roomId
string
Responses
200
OK
Example 1
{
"success": true
}object
success
boolean
400
Bad Request
Error due to missing roomId
{
"success": false,
"error": "must have required property 'roomId' [error-invalid-params]",
"errorType": "error-invalid-params"
}Room already hidden error
{
"success": false,
"error": "error-room-already-hidden"
}object
success
boolean
error
string
errorType
string
401
Unauthorized
Authorization Error
{
"success": false,
"error": "You must be logged in to do this."
}object
success
boolean
error
string
403
Forbidden
Forbidden
{
"success": false,
"error": "forbidden"
}object
success
boolean
error
string